Name:		w3m-el
Version:	1.2.6
Release:	1
License:	BSD
URL:		http://emacs-w3m.namazu.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildPreReq:	emacs xemacs
BuildPreReq:	flim flim-xemacs


## re-compressed bzip2 instead of gzip
#Source:	http://emacs-w3m.namazu.org/w3m_el-%{version}.tar.gz
Source:		w3m_el-%{version}.tar.bz2
Source1:	w3m-init.el


Summary:	W3m interface for Emacs
Group:		Applications/Internet
Requires:	%{name}-common = %{version}
Requires:	emacs flim w3m
Provides:	webclient

%description
W3m is a text based World Wide Web browser with IPv6 support. It
features excellent support for tables and frames. It can be used as a
standalone pager such as lv, less, and more.


%package xemacs
Summary:	W3m interface for XEmacs
Group:		Applications/Internet
Requires:	%{name}-common = %{version}
Requires:	xemacs flim-xemacs w3m
Provides:	webclient
ExcludeArch:	alpha

%description xemacs
W3m is a text based World Wide Web browser with IPv6 support. It
features excellent support for tables and frames. It can be used as a
standalone pager such as lv, less, and more.


%package common
Summary:	Common files for W3m interface of emacsen
Group:		Applications/Internet

%description common
This package contains common files which w3m-el and w3m-el-xemacs needs.


%prep
%setup -q -n w3m_el-%{version}
%__chmod a+x configure


%build


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/site-start.d
%{__mkdir_p} $RPM_BUILD_ROOT%{_libdir}/xemacs/xemacs-packages/lisp/site-start.d

#
# for Emacs
#
%configure --with-icondir=\$\(prefix\)/share/pixmaps/w3m-el
make
%makeinstall
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/site-start.d

make clean

#
# for XEmacs
#
%configure --with-xemacs --with-packagedir=\$\(prefix\)/lib/xemacs/xemacs-packages --with-lispdir=\$\(prefix\)/lib/xemacs/xemacs-packages/lisp/w3m --with-icondir=\$\(prefix\)/share/pixmaps/w3m-el
make
make install-package prefix=$RPM_BUILD_ROOT%{_prefix}
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_libdir}/xemacs/xemacs-packages/lisp/site-start.d
make install-icons prefix=$RPM_BUILD_ROOT%{_prefix}


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr (-, root, root)
%doc COPYING ChangeLog FAQ FAQ.ja README README.ja README.namazu.ja README.shimbun.ja TIPS.ja
%dir %{_datadir}/emacs/site-lisp/w3m
%{_datadir}/emacs/site-lisp/w3m/*
%{_datadir}/emacs/site-lisp/site-start.d/w3m-init.el

%files xemacs
%defattr (-, root, root)
%doc COPYING ChangeLog FAQ FAQ.ja README README.ja README.namazu.ja README.shimbun.ja TIPS.ja
%dir %{_libdir}/xemacs/xemacs-packages/lisp/w3m
%{_libdir}/xemacs/xemacs-packages/lisp/w3m/*
%{_libdir}/xemacs/xemacs-packages/lisp/site-start.d/w3m-init.el

%files common
%defattr (-, root, root)
%doc COPYING ChangeLog FAQ FAQ.ja README README.ja README.namazu.ja README.shimbun.ja TIPS.ja
%dir %{_datadir}/pixmaps/w3m-el
%{_datadir}/pixmaps/w3m-el/*

%changelog
* Tue Mar 12 2002 Akira TAGOH <tagoh@redhat.com> 1.2.6-1
- New upstream release.

* Tue Mar 12 2002 Akira TAGOH <tagoh@redhat.com> 1.2.5-1
- New upstream release.
- w3m-el-common: new package, to separated common files.
- w3m-init.el: add w3m-icon-directory.

* Wed Feb 27 2002 Akira TAGOH <tagoh@redhat.com> 1.2.4-4
- Disable alpha because nothing is xemacs for alpha now.
- Enable ia64.

* Fri Feb 22 2002 Akira TAGOH <tagoh@redhat.com> 1.2.4-3
- Build against new environment.

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jan  8 2002 Akira TAGOH <tagoh@redhat.com> 1.2.4-1
- New upstream release.

* Thu Dec  6 2001 Akira TAGOH <tagoh@redhat.com> 1.2.2-1
- New upstream release.

* Tue Nov 13 2001 Akira TAGOH <tagoh@redhat.com> 1.2.1-1
- New upstream release.

* Tue Nov  6 2001 Akira TAGOH <tagoh@redhat.com> 1.2-1
- New upstream release.
- s/Copyright/License/
- Added a package for xemacs
- Added requires: w3m
- Added w3m-init.el
- Added directories owner

* Thu Aug 30 2001 SATO Satoru <ssato@redhat.com> - 1.0-4
- fixed %%files (#51982)
- remove the parts commented

* Sat Jun 23 2001 SATO Satoru <ssato@redhat.com>
- get backed build-dependencies.

* Sat Jun 23 2001 SATO Satoru <ssato@redhat.com>
- build as architecture specific rpm.

* Wed Jun 20 2001 SATO Satoru <ssato@redhat.com>
- Initial release (separated from w3m)

